The Postal Regulatory Commission has approved the United States Postal Service’s (USPS) proposed postage rate adjustments, which will take effect on July 12, 2026. In line with these changes, our per-mailpiece pricing will be updated accordingly. Updated Pricing

Use Cases
Log In

QR scans

GET /v2/campaigns/{id}/qr_scans

Returns the QR code scan statistics for a campaign — one entry per recipient whose QR code has been scanned at least once.

Path Parameters

id
string
Required
Campaign ID.

Query Parameters

format
string
Optional

Set to csv to receive a CSV download (columns Recipient, URL, Scan Count).

Omit it to receive the default JSON response.

curl -X GET https://www.realmailers.com/v2/campaigns/1/qr_scans \
  -H 'Authorization: Bearer YOUR_API_KEY USER_EMAIL'
Array({
  recipient: String
  hits: Number
  url: String
})